Subject: Re: linux-next: Tree for Jul 2

From: Zhangshaokun <[email-masked]>
Date: Tue, 2 Jul 2019 18:40:45 +0800

+Cc: Will Deacon

There is a compiler failure on arm64 platform, as follow:
In file included from ./include/linux/list.h:9:0,
                 from ./include/linux/kobject.h:19,
                 from ./include/linux/of.h:17,
                 from ./include/linux/irqdomain.h:35,
                 from ./include/linux/acpi.h:13,
                 from drivers/iommu/arm-smmu-v3.c:12:
drivers/iommu/arm-smmu-v3.c: In function ‘arm_smmu_device_hw_probe’:
drivers/iommu/arm-smmu-v3.c:194:40: error: ‘CONFIG_CMA_ALIGNMENT’ undeclared (first use in this function)
 #define Q_MAX_SZ_SHIFT   (PAGE_SHIFT + CONFIG_CMA_ALIGNMENT)
                                        ^
It's the commit <d25f6ead162e> ("iommu/arm-smmu-v3: Increase maximum size of queues")

Thanks,
Shaokun

On 2019/7/2 17:51, Stephen Rothwell wrote:
> Hi all,
> 
> Changes since 20190701:
> 
> New trees: iomap, djw-vfs
> 
> The m68knommu tree gained conflicts against the m68k tree.
> 
> The xfs tree lost its build failure.
> 
> The pm tree lost its build failure.
> 
> The rdma tree still had its build failures so I used the version from
> next-20190628.
> 
> The net-next tree gained a conflict against the net tree.
> 
> The mlx5-next tree gained conflicts against Linus' tree.
> 
> The tip tree gained a conflict against the btrfs-kdave tree which
> required a merge fix patch.
> 
> The hmm tree gained build failures due to interactions with the tip and
> drm trees for which I added a merge fix patch and disabled a driver.
> 
> Non-merge commits (relative to Linus' tree): 10449
>  10116 files changed, 811540 insertions(+), 297040 deletions(-)
> 
> ----------------------------------------------------------------------------
> 
> I have created today's linux-next tree at
> git://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git
> (patches at http://www.kernel.org/pub/linux/kernel/next/ ).  If you
> are tracking the linux-next tree using git, you should not use "git pull"
> to do so as that will try to merge the new linux-next release with the
> old one.  You should use "git fetch" and checkout or reset to the new
> master.
> 
> You can see which trees have been included by looking in the Next/Trees
> file in the source.  There are also quilt-import.log and merge.log
> files in the Next directory.  Between each merge, the tree was built
> with a ppc64_defconfig for powerpc, an allmodconfig for x86_64, a
> multi_v7_defconfig for arm and a native build of tools/perf. After
> the final fixups (if any), I do an x86_64 modules_install followed by
> builds for x86_64 allnoconfig, powerpc allnoconfig (32 and 64 bit),
> ppc44x_defconfig, allyesconfig and pseries_le_defconfig and i386, sparc
> and sparc64 defconfig. And finally, a simple boot test of the powerpc
> pseries_le_defconfig kernel in qemu (with and without kvm enabled).
> 
> Below is a summary of the state of the merge.
> 
> I am currently merging 299 trees (counting Linus' and 72 trees of bug
> fix patches pending for the current merge release).
> 
> Stats about the size of the tree over time can be seen at
> http://neuling.org/linux-next-size.html .
> 
> Status of my local build tests will be at
> http://kisskb.ellerman.id.au/linux-next .  If maintainers want to give
> advice about cross compilers/configs that work, we are always open to add
> more builds.
> 
> Thanks to Randy Dunlap for doing many randconfig builds.  And to Paul
> Gortmaker for triage and bug fixes.
>